Bug 881887 - firstboot: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
Summary: firstboot: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firstboot
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vratislav Podzimek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 881785
TreeView+ depends on / blocked
 
Reported: 2012-11-29 18:16 UTC by Michal Schmidt
Modified: 2014-02-05 13:24 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 13:24:06 UTC
Type: Bug


Attachments (Terms of Use)
screenshot showing Spanish firstboot after DVD install (41.78 KB, image/png)
2013-01-02 19:07 UTC, Steve Tyler
no flags Details

Description Michal Schmidt 2012-11-29 18:16:35 UTC
Fedora is migrating away from:
 /etc/sysconfig/network (the HOSTNAME=... setting)
 /etc/sysconfig/keyboard
 /etc/sysconfig/i18n
to:
 /etc/hostname
 /etc/vconsole.conf
 /etc/locale.conf

See the tracker bug 881785 for details.

We found:
firstboot-18.6/firstboot/constants.py:I18N = '/etc/sysconfig/i18n'
firstboot-18.6/scripts/firstboot.sh:        . /etc/sysconfig/i18n

Please update the package for the new config files.

Comment 1 Miloslav Trmač 2013-01-02 18:28:19 UTC
firstboot seems to be reading LANG from /etc/sysconfig/i18n, and setting LANG to en_US.UTF-8 on failure.  So if I'm reading the code right, if /etc/syconfig/i18n isn't present firstboot will always run in US English.

Comment 2 Jaroslav Reznik 2013-01-02 18:31:51 UTC
FYI: FESCo agreed to fix firstboot/get into final compose if it turns out to always be offering en_US for firstboot

Comment 3 Steve Tyler 2013-01-02 19:07:48 UTC
Created attachment 671622 [details]
screenshot showing Spanish firstboot after DVD install

Tested with:
$ qemu-kvm -m 2048 -hda f18-test-4.img -cdrom ~/xfr/fedora/F18/F18-Final/TC3/Fedora-18-TC3-x86_64-DVD.iso -usb -vga qxl -boot menu=on -usbdevice mouse

Fedora-18-TC3-x86_64-DVD.iso has:
firstboot-0:18.6-1.fc18.x86_64

Comment 4 Miloslav Trmač 2013-01-02 19:09:50 UTC
Thanks for the testing, dropping from the proposed list.  I'm sorry about the false alarm.

Comment 5 Adam Williamson 2013-01-02 19:19:49 UTC
confirming, with smoke12 French install I get firstboot in French.

Comment 6 Fedora Admin XMLRPC Client 2013-10-14 09:19:15 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora End Of Life 2013-12-21 09:33:28 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2014-02-05 13:24:10 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.